package com.sv.socket.event;

import com.common.DeviceDTO;
import com.sv.entity.Device;
import org.springframework.context.ApplicationEvent;

import java.io.Serializable;

public class SocketReconnectEvent extends ApplicationEvent implements Serializable{

    private DeviceDTO device;

    /**
     * Create a new ApplicationEvent.
     *
     * @param device the object on which the event initially occurred (never {@code null})
     */
    public SocketReconnectEvent(DeviceDTO device) {
        super(device);
        this.device = device;
    }

    public DeviceDTO getDevice() {
        return device;
    }

}
